stages:          
  - build
  - test
  - quality
  - package

build-job:       
  stage: build
  image: eclipse-temurin:17-jdk-alpine
  script:
    - ./mvnw compile

test-job:   
  stage: test
  image: eclipse-temurin:17-jdk-alpine    
  script:
    - ./mvnw test


code-quality-job:   
  stage: quality
  allow_failure: true    
  script:
    - mkdir results
    - docker run
      --env CLIMATE_CODE= "$PWD"
      --volume "$PWD":/code
  artifacts:
    paths:
      - results/

package-job:      
  stage: package
  image: eclipse-temurin:17-jdk-alpine
  services:
    - docker:dind
  script:
    - echo "Deploying application..."
    - echo "Application successfully deployed."
